facebook

Installation Problem

  1. MyEclipse IDE > Installation, Configuration & Updates

This topic contains 13 replies, has 2 voices, and was last updated by  support-swapna 3 days, 14 hours ago.

Viewing 14 posts - 1 through 14 (of 14 total)
  • Author
    Posts
  • #673469 Reply

    ruben-in-primis
    Participant

    Hello, I’m trying to install MyEclipse in an Ubuntu 20.04 and I’m getting an error “java.lang.NoSuchFieldException: isUTF8”
    I don’t know exactly what i need to do to solve it.

    Can you help me?

    I attach the log that the installer has created.

    Thanks

    #673471 Reply

    support-swapna
    Moderator

    Ruben,

    Sorry that you are seeing this issue.

    Is Java 14 installed at system level? We have a known problem with the installer failing on some machines when Java 14 installed at system level. For some reason, the installer is falling back on the system installation of JDK 14 and failing due to deprecated packages.

    Can you try running the installer with a -nojre flag? This is a flag that should disable the system JRE detection and force the inbuilt JRE to be used. To use this, open a command prompt, go to the folder containing the installer and run -nojre.

    Please let us know if this fixes the installation problem for you.

    Apologies for inconvenience caused.

    –Swapna
    Genuitec Support

    #673513 Reply

    ruben-in-primis
    Participant

    Yes, I have Java 14 installed.
    I’ve tried with the -jre flag and I have the same error.

    I’ve also tried to install java 11 (and swapped with “sudo update-alternatives –config java”), but now, the installer crashes on the first “next” click.
    In this case there’s no error log created

    #673586 Reply

    support-swapna
    Moderator

    Ruben,

    Can you please clarify if you tried with -jre or -nojre?
    Please share with us the installer log file once again if it fails with -nojre. Also share with us the command you used to run the installer from the command prompt.

    –Swapna
    Genuitec Support

    #673587 Reply

    ruben-in-primis
    Participant

    I’ve tried both, with -jre and with -nojre
    I’m getting the same error in both cases.

    My commands:
    chmod +x myeclipse-2020.9.16a-offline-installer-linux.run
    ./myeclipse-2020.9.16a-offline-installer-linux.run -nojre

    WARNING: Unable to override charset encoding for output Jars
    java.lang.NoSuchFieldException: isUTF8
    at java.base/java.lang.Class.getDeclaredField(Class.java:2489)
    at com.genuitec.pulse.installer.processor.offline.copybundled.InlineUnpackingJarOutputStream.updateForJava17(Unknown Source)
    at com.genuitec.pulse.installer.processor.offline.copybundled.InlineUnpackingJarOutputStream.<init>(Unknown Source)
    at com.genuitec.pulse.installer.processor.offline.copybundled.CopyBundledCollect.transferPackedArtifact(Unknown Source)
    at com.genuitec.pulse.installer.processor.offline.copybundled.CopyBundledCollect.transferSingle(Unknown Source)
    at com.genuitec.pulse.installer.processor.offline.copybundled.CopyBundledCollect.completePhase(Unknown Source)
    at org.eclipse.equinox.internal.p2.engine.Phase.postPerform(Phase.java:251)
    at org.eclipse.equinox.internal.p2.engine.Phase.perform(Phase.java:101)
    at org.eclipse.equinox.internal.p2.engine.PhaseSet.perform(PhaseSet.java:47)
    at org.eclipse.equinox.internal.p2.engine.Engine.perform(Engine.java:75)
    at org.eclipse.equinox.internal.p2.engine.Engine.perform(Engine.java:44)
    at com.genuitec.pulse2.client.common.eclipseaccess.InterceptingEngine.perform(Unknown Source)
    at com.genuitec.pulse.installer.processor.offline.copybundled.CopyBundledArtifactsProcessor.runWithErrorHandling(Unknown Source)
    at com.genuitec.pulse.installer.processor.ProcessorWithFatalErrorHandling.run(Unknown Source)
    at com.genuitec.pulse.installer.module.ui.progress.GenericProgressPage$GenericProgressJob.runProgressWithCancelBlocking(Unknown Source)
    at com.genuitec.pulse.installer.module.ui.progress.GenericProgressPage$GenericProgressJob.run(Unknown Source)
    at org.eclipse.core.internal.jobs.Worker.run(Worker.java:55)

    de maig 04, 2021 8:29:30 A. M. com.genuitec.pulse.installer.processor.ProcessorWithFatalErrorHandling run
    SEVERE: An error occurred while running [CopyBundledArtifactsProcessor]: An error occurred while collecting items to be installed
    org.eclipse.core.runtime.CoreException: An error occurred while collecting items to be installed
    at com.genuitec.pulse.installer.processor.offline.copybundled.CopyBundledArtifactsProcessor.runWithErrorHandling(Unknown Source)
    at com.genuitec.pulse.installer.processor.ProcessorWithFatalErrorHandling.run(Unknown Source)
    at com.genuitec.pulse.installer.module.ui.progress.GenericProgressPage$GenericProgressJob.runProgressWithCancelBlocking(Unknown Source)
    at com.genuitec.pulse.installer.module.ui.progress.GenericProgressPage$GenericProgressJob.run(Unknown Source)
    at org.eclipse.core.internal.jobs.Worker.run(Worker.java:55)
    Contains: session context was:(profile=com.genuitec.delivery.package.profile.2915-Enr-0574, phase=com.genuitec.pulse.installer.processor.offline.copybundled.CopyBundledCollect, operand=, action=).
    Contains: java/util/jar/Pack200
    java.lang.NoClassDefFoundError: java/util/jar/Pack200
    at com.genuitec.pulse.installer.processor.offline.copybundled.CopyBundledCollect.transferPackedArtifact(Unknown Source)
    at com.genuitec.pulse.installer.processor.offline.copybundled.CopyBundledCollect.transferSingle(Unknown Source)
    at com.genuitec.pulse.installer.processor.offline.copybundled.CopyBundledCollect.completePhase(Unknown Source)
    at org.eclipse.equinox.internal.p2.engine.Phase.postPerform(Phase.java:251)
    at org.eclipse.equinox.internal.p2.engine.Phase.perform(Phase.java:101)
    at org.eclipse.equinox.internal.p2.engine.PhaseSet.perform(PhaseSet.java:47)
    at org.eclipse.equinox.internal.p2.engine.Engine.perform(Engine.java:75)
    at org.eclipse.equinox.internal.p2.engine.Engine.perform(Engine.java:44)
    at com.genuitec.pulse2.client.common.eclipseaccess.InterceptingEngine.perform(Unknown Source)
    at com.genuitec.pulse.installer.processor.offline.copybundled.CopyBundledArtifactsProcessor.runWithErrorHandling(Unknown Source)
    at com.genuitec.pulse.installer.processor.ProcessorWithFatalErrorHandling.run(Unknown Source)
    at com.genuitec.pulse.installer.module.ui.progress.GenericProgressPage$GenericProgressJob.runProgressWithCancelBlocking(Unknown Source)
    at com.genuitec.pulse.installer.module.ui.progress.GenericProgressPage$GenericProgressJob.run(Unknown Source)
    at org.eclipse.core.internal.jobs.Worker.run(Worker.java:55)
    Caused by: java.lang.ClassNotFoundException: java.util.jar.Pack200
    at java.base/java.lang.ClassLoader.findClass(ClassLoader.java:719)
    at java.base/java.lang.ClassLoader.loadClass(ClassLoader.java:589)
    at java.base/java.lang.ClassLoader.loadClass(ClassLoader.java:522)
    at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:371)
    at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:364)
    at org.eclipse.osgi.internal.loader.ModuleClassLoader.loadClass(ModuleClassLoader.java:161)
    at java.base/java.lang.ClassLoader.loadClass(ClassLoader.java:522)
    … 14 more

    Attachments:
    You must be logged in to view attached files.
    #673593 Reply

    support-swapna
    Moderator

    Ruben,

    Looks like the -nojre isn’t working for Ubuntu 20. Can you please try running the installer with -vm arg and pointing to a Java installation <14?
    From the command prompt, please run it as per this format : <path-to-me-installer.exe> -vm "<path-to-javaw.exe>"

    Apologies for inconvenience caused. Please let us know how this works for you.

    –Swapna
    Genuitec Support

    #673599 Reply

    ruben-in-primis
    Participant

    I’ve tried these two command lines:

    1) ./myeclipse-2020.9.16a-offline-installer-linux.run -vm /usr/lib/jvm/java-11-openjdk-amd64/
    2) ./myeclipse-2020.9.16a-offline-installer-linux.run -vm /usr/lib/jvm/java-14-openjdk-amd64/

    in 1)
    I’m having the same issue that when i try installing with JAVA 11, the installer crashes just after the first “next”, without any log

    in 2)
    I’m having the same issue that when i try installing with JAVA 14, the installation stops after a while

    #673602 Reply

    support-swapna
    Moderator

    Ruben,

    You should point to the javaw.exe path which is under the bin folder of the Java installation directory.
    Example : ./myeclipse-2020.9.16a-offline-installer-linux.run -vm "<java installation directory>\bin\javaw.exe"

    –Swapna
    Genuitec Support

    #673648 Reply

    ruben-in-primis
    Participant

    Hello again.

    There’s no “.exe” files in Ubuntu (this is a Linux OS).

    And there’s no “javaw” file in the JAVA_INSTALLATION/bin folder.

    All the files in that folder are:

    jaotc, java, javap, jdeprscan, jhsdb, jjs, jmod, jshell, jstatd, rmic, serialver, jar, javac, jcmd, jdeps, jimage, jlink, jps, jstack, keytool, rmid, unpack200, jarsigner, javadoc, jdb, jfr, jinfo, jmap, jrunscript, jstat, pack200, rmiregistry

    #673649 Reply

    support-swapna
    Moderator

    Ruben,

    Can you use java instead of javaw and check if it works?

    –Swapna
    Genuitec Support

    #673650 Reply

    ruben-in-primis
    Participant

    1) ./myeclipse-2020.9.16a-offline-installer-linux.run -vm /usr/lib/jvm/java-11-openjdk-amd64/bin/java
    2) ./myeclipse-2020.9.16a-offline-installer-linux.run -vm /usr/lib/jvm/java-14-openjdk-amd64/bin/java

    Same behaviour as before
    in 1)
    I’m having the same issue that when i try installing with JAVA 11, the installer crashes just after the first “next”, without any log

    in 2)
    I’m having the same issue that when i try installing with JAVA 14, the installation stops after a while

    #673651 Reply

    support-swapna
    Moderator

    Ruben,

    Sorry that the issue persists. We did try with Java 11 and it worked for us. But can you please check with Java 8 or 9?

    –Swapna
    Genuitec Support

    #673654 Reply

    ruben-in-primis
    Participant

    It has worked with JAVA 8, I’ve not tried with JAVA 9.

    Does it means that i have to continue with JAVA 8 instead of JAVA 14 or 11 to use MyEclipse?

    #673655 Reply

    support-swapna
    Moderator

    Ruben,

    Glad that the installation is successful. The issue is with the installer having trouble running with Java 14. We will fix it for the next release.
    Once MyEclipse is installed, it will run with the bundled Java 14.

    Hope this helps. Please let us know if you see any issues.

    –Swapna
    Genuitec Support

Viewing 14 posts - 1 through 14 (of 14 total)
Reply To: Installation Problem

You must be logged in to post in the forum log in